# Market Status

`GET` `/v1/quote/market-status`

Get the current open/close status for each exchange.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `market` | string | No | Market code: `US`, `HK`, `SH`, `SZ`, `SG`. Omit for all markets. |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/market-status' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `market_time` | object[] | No | List of market status items |
| `└ market` | string | No | Market: `US`, `HK`, `CN`, `SG`, `Crypto` |
| `└ trade_status` | integer | No | Trading status code |
| `└ timestamp` | string | No | Event time (Unix seconds as string) |
| `└ delay_trade_status` | integer | No | Delayed trading status |
| `└ delay_timestamp` | string | No | Delay timestamp |
| `└ sub_status` | integer | No | Sub-status. |
| `└ delay_sub_status` | integer | No | Delayed subscription status |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "market_time": [
      {
        "market": "US",
        "delay_sub_status": 0,
        "delay_timestamp": "0",
        "delay_trade_status": 0
      },
      {
        "market": "HK",
        "delay_sub_status": 0,
        "delay_timestamp": "0",
        "delay_trade_status": 0
      }
    ]
  }
}
```
